libipa_hbac0-1.16.1-lp150.2.6.1.x86_64.rpm


Advertisement

Description

libipa_hbac0 - FreeIPA HBAC Evaluator library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename libipa_hbac0-1.16.1-lp150.2.6.1.x86_64.rpm
Package name libipa_hbac0
Package version 1.16.1
Package release lp150.2.6.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://pagure.io/SSSD/sssd
License LGPL-3.0+
Maintainer -
Download size 64.40 KB
Installed size 14.21 KB
Utility library to validate FreeIPA HBAC rules for authorization
requests.

Alternatives

Package Version Architecture Repository
libipa_hbac0-1.16.1-lp150.2.13.1.x86_64.rpm 1.16.1 x86_64 openSUSE Update Oss
libipa_hbac0-1.16.1-lp150.2.9.1.x86_64.rpm 1.16.1 x86_64 openSUSE Update Oss
libipa_hbac0-1.16.1-lp150.2.3.1.x86_64.rpm 1.16.1 x86_64 openSUSE Update Oss
libipa_hbac0-1.16.1-lp150.1.1.x86_64.rpm 1.16.1 x86_64 openSUSE Oss
libipa_hbac0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libglib-2.0.so.0()(64bit) -

Provides

Name Value
libipa_hbac.so.0()(64bit) -
libipa_hbac.so.0(IPA_HBAC_0.0.1)(64bit) -
libipa_hbac.so.0(IPA_HBAC_0.1.0)(64bit) -
libipa_hbac0 = 1.16.1-lp150.2.6.1
libipa_hbac0(x86-64) = 1.16.1-lp150.2.6.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libipa_hbac0-1.16.1-lp150.2.6.1.x86_64.rpm
Source Package sssd-1.16.1-lp150.2.6.1.src.rpm

Install Howto

Install libipa_hbac0 rpm package:

# zypper install libipa_hbac0

Files

Path
/usr/lib64/libipa_hbac.so.0
/usr/lib64/libipa_hbac.so.0.1.0

Changelog

2018-09-26 - ckowalczyk@suse.com
- Added dependency to adcli for sssd-ad (fate#326619, bsc#1109849)
2018-06-20 - ckowalczyk@suse.com
- Introduce patches:
* Create sockets with right permissions:
0001-SUDO-Create-the-socket-with-stricter-permissions.patch
(bsc#1098377, CVE-2018-10852)
* Fix for sssd upstream integration tests
0002-intg-Do-not-hardcode-nsslibdir.patch
(bsc#1098163)
2018-04-27 - ckowalczyk@suse.com
- Update to new minor upstream release 1.16.1 (fate#323340):
New Features:
* A new option auto_private_groups was added. If this option is
enabled, SSSD will automatically create user private groups based
on user?s UID number. The GID number is ignored in this case.
* The SSSD smart card integration now supports a special type of PAM
conversation implemented by GDM which allows the user to select
the appropriate smrt card certificate in GDM.
* A new API for accessing user and group information was added.
This API is similar to the tradiional Name Service Switch API, but
allows the consumer to talk to SSSD directly as well as to
fine-tune the query with e.g. how cache should be evaluated.
* The sssctl command line tool gained a new command access-report,
which can generate who can access the client machine. Currently
only generating the report on an IPA client based on HBAC rules
is supported.
* The hostid provider was moved from the IPA specific code to
the generic LDAP code. This allows SSH host keys to be access by
the generic LDAP provider as well. See the ldap_host_* options in
the sssd-ldap manual page for more details.
* Setting the memcache_timeout option to 0 disabled creating
the memory cache files altogether. This can be useful in cases
there is a bug in the memory cache that needs working around.
2018-04-24 - ckowalczyk@suse.com
- Updated sssd.spec:
The IPA provider depends on AD provider's PAC executable, hence
introducing the package dependency. (bsc#1021441, bsc#1062124)
2018-02-27 - hguo@suse.com
- Remove package descriptions for the python 2 packages that are
no longer distributed:
* python-ipa_hbac
* python-sss-murmur
* python-sss_nss_idmap
* python-sssd-config
- Correct python version dependency of tools package. (bsc#1082108)
2017-12-04 - hguo@suse.com
- Correct dependency of sss_obfuscate command line program.
2017-12-01 - hguo@suse.com
- In an ongoing effort to reduce dependency on python version 2,
the following python libraries are no longer built. Nevertheless
their python3 counterparts remain in place:
* python-ipa_hbac
* python-sss-murmur
* python-sss_nss_idmap
* python-sssd-config

See Also

Package Description
libipset11-6.36-lp150.2.3.1.x86_64.rpm Userspace library for the in-kernel Netfilter ipset interface
libirs-devel-9.11.2-lp150.8.3.1.x86_64.rpm Development files for IRS
libirs-devel-9.11.2-lp150.8.6.1.x86_64.rpm Development files for IRS
libirs-devel-9.11.2-lp150.8.9.1.x86_64.rpm Development files for IRS
libirs160-32bit-9.11.2-lp150.8.3.1.x86_64.rpm The BIND Information Retrieval System library
libirs160-32bit-9.11.2-lp150.8.6.1.x86_64.rpm The BIND Information Retrieval System library
libirs160-32bit-9.11.2-lp150.8.9.1.x86_64.rpm The BIND Information Retrieval System library
libirs160-9.11.2-lp150.8.3.1.x86_64.rpm The BIND Information Retrieval System library
libirs160-9.11.2-lp150.8.6.1.x86_64.rpm The BIND Information Retrieval System library
libirs160-9.11.2-lp150.8.9.1.x86_64.rpm The BIND Information Retrieval System library
libisc166-32bit-9.11.2-lp150.8.3.1.x86_64.rpm ISC shared library used by BIND
libisc166-32bit-9.11.2-lp150.8.6.1.x86_64.rpm ISC shared library used by BIND
libisc166-32bit-9.11.2-lp150.8.9.1.x86_64.rpm ISC shared library used by BIND
libisc166-9.11.2-lp150.8.3.1.x86_64.rpm ISC shared library used by BIND
libisc166-9.11.2-lp150.8.6.1.x86_64.rpm ISC shared library used by BIND
Advertisement
Advertisement